import { OutlookProtocolType } from "../../../Enumerations/OutlookProtocolType";
import { UserSettingName } from "../../../Enumerations/UserSettingName";
import { WebClientUrlCollection } from "../../WebClientUrlCollection";
import { GetUserSettingsResponse } from "../../Responses/GetUserSettingsResponse";
import { EwsXmlReader } from "../../../Core/EwsXmlReader";
export declare class OutlookProtocol {
    private static EXPR;
    private static EXCH;
    private static WEB;
    ProtocolType: OutlookProtocolType;
    private ConverterDictionary;
    static AvailableUserSettings: any;
    private activeDirectoryServer;
    private authPackage;
    private availabilityServiceUrl;
    private ecpUrl;
    private ecpUrlAggr;
    private ecpUrlMt;
    private ecpUrlPublish;
    private ecpUrlPhoto;
    private ecpUrlConnect;
    private ecpUrlRet;
    private ecpUrlSms;
    private ecpUrlUm;
    private ecpUrlTm;
    private ecpUrlTmCreating;
    private ecpUrlTmEditing;
    private ecpUrlTmHiding;
    private siteMailboxCreationURL;
    private ecpUrlExtInstall;
    private exchangeWebServicesUrl;
    private exchangeManagementWebServicesUrl;
    private mailboxDN;
    private offlineAddressBookUrl;
    private exchangeRpcUrl;
    private exchangeWebServicesPartnerUrl;
    private publicFolderServer;
    private server;
    private serverDN;
    private unifiedMessagingUrl;
    private sharingEnabled;
    private sslEnabled;
    private serverExclusiveConnect;
    private certPrincipalName;
    private groupingInformation;
    private MapiHttpEnabled;
    private externalOutlookWebAccessUrls;
    private internalOutlookWebAccessUrls;
    private static commonProtocolSettings;
    private static internalProtocolSettings;
    private static externalProtocolSettings;
    private static internalProtocolConverterDictionary;
    private static externalProtocolConverterDictionary;
    private static webProtocolConverterDictionary;
    private static availableUserSettings;
    private static protocolNameToTypeMap;
    ConvertEcpFragmentToUrl(fragment: string): string;
    ConvertToUserSettings(requestedSettings: UserSettingName[], response: GetUserSettingsResponse): any;
    LoadFromXml(reader: EwsXmlReader): any;
    LoadWebClientUrlsFromXml(reader: EwsXmlReader, webClientUrls: WebClientUrlCollection, elementName: string): any;
    ProtocolNameToType(protocolName: string): OutlookProtocolType;
}
