import { EwsServiceXmlWriter } from "../../Core/EwsServiceXmlWriter";
import { DomainSettingName } from "../../Enumerations/DomainSettingName";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { IPromise } from "../../Interfaces";
import { Uri } from "../../Uri";
import { GetDomainSettingsResponseCollection } from "../Responses/GetDomainSettingsResponseCollection";
import { AutodiscoverService } from "../AutodiscoverService";
import { AutodiscoverResponse } from "../Responses/AutodiscoverResponse";
import { AutodiscoverRequest } from "./AutodiscoverRequest";
export declare class GetDomainSettingsRequest extends AutodiscoverRequest {
    private static GetDomainSettingsActionUri;
    Domains: string[];
    Settings: DomainSettingName[];
    RequestedVersion: ExchangeVersion;
    private domains;
    private settings;
    private requestedVersion;
    constructor(service: AutodiscoverService, url: Uri);
    CreateServiceResponse(): AutodiscoverResponse;
    Execute(): IPromise<GetDomainSettingsResponseCollection>;
    GetRequestXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetWsAddressingActionName(): string;
    PostProcessResponses(responses: GetDomainSettingsResponseCollection): any;
    Validate(): void;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
