import { EwsXmlReader } from "../../Core/EwsXmlReader";
import { EwsServiceXmlWriter } from "../../Core/EwsServiceXmlWriter";
import { Uri } from "../../Uri";
import { UserSettingName } from "../../Enumerations/UserSettingName";
import { IPromise } from "../../Interfaces";
import { AutodiscoverService } from "../AutodiscoverService";
import { AutodiscoverResponse } from "../Responses/AutodiscoverResponse";
import { GetUserSettingsResponseCollection } from "../Responses/GetUserSettingsResponseCollection";
import { AutodiscoverRequest } from "./AutodiscoverRequest";
export declare class GetUserSettingsRequest extends AutodiscoverRequest {
    static GetUserSettingsActionUri: string;
    SmtpAddresses: string[];
    Settings: UserSettingName[];
    PartnerToken: string;
    PartnerTokenReference: string;
    private expectPartnerToken;
    constructor(service: AutodiscoverService, url: Uri);
    CreateServiceResponse(): AutodiscoverResponse;
    Execute(): IPromise<GetUserSettingsResponseCollection>;
    GetRequestXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetWsAddressingActionName(): string;
    PostProcessResponses(responses: GetUserSettingsResponseCollection): void;
    ReadSoapHeader(reader: EwsXmlReader): void;
    Validate(): void;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
    WriteExtraCustomSoapHeadersToXml(writer: EwsServiceXmlWriter): void;
}
