import { Item } from "../Core/ServiceObjects/Items/Item";
import { ExchangeService } from "../Core/ExchangeService";
import { EwsServiceXmlReader } from "../Core/EwsServiceXmlReader";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
import { BodyType } from "../Enumerations/BodyType";
import { ComplexProperty } from "./ComplexProperty";
export declare class Attachment extends ComplexProperty {
    Id: string;
    Name: string;
    ContentType: string;
    ContentId: string;
    ContentLocation: string;
    Size: number;
    LastModifiedTime: Date;
    IsInline: boolean;
    IsNew: boolean;
    Owner: Item;
    Service: ExchangeService;
    private owner;
    private id;
    private name;
    private contentType;
    private contentId;
    private contentLocation;
    private size;
    private lastModifiedTime;
    private isInline;
    private service;
    GetXmlElementName(): string;
    InternalLoad(bodyType: BodyType, additionalProperties: any[]): any;
    InternalToJson(service: ExchangeService): any;
    Load(): any;
    LoadAttachmentIdFromJson(jsonObject: any): any;
    LoadFromJson(jsonProperty: any, service: ExchangeService): any;
    SetFieldValue(field: any, value: any): any;
    ThrowIfThisIsNotNew(): any;
    ReadElementsFromXmlJsObject(reader: EwsServiceXmlReader): boolean;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
