import { ServiceObject } from "../Core/ServiceObjects/ServiceObject";
import { PropertyDefinition } from "../PropertyDefinitions/PropertyDefinition";
import { ExchangeService } from "../Core/ExchangeService";
import { XmlNamespace } from "../Enumerations/XmlNamespace";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
import { ComplexProperty } from "./ComplexProperty";
export declare class ComplexPropertyCollection<TComplexProperty extends ComplexProperty> extends ComplexProperty {
    ___implementsInterface: string[];
    ___typeName: string;
    ___typeGenerics: string[];
    Items: TComplexProperty[];
    AddedItems: TComplexProperty[];
    ModifiedItems: TComplexProperty[];
    RemovedItems: TComplexProperty[];
    Count: number;
    private items;
    private addedItems;
    private modifiedItems;
    private removedItems;
    __thisIndexer(index: number): TComplexProperty;
    ClearChangeLog(): void;
    Contains(complexProperty: TComplexProperty): boolean;
    CreateComplexProperty(xmlElementName: string): TComplexProperty;
    CreateDefaultComplexProperty(): TComplexProperty;
    GetCollectionItemXmlElementName(complexProperty: TComplexProperty): string;
    IndexOf(complexProperty: TComplexProperty): number;
    InternalAdd(complexProperty: TComplexProperty, loading?: boolean): void;
    InternalClear(): void;
    InternalRemove(complexProperty: TComplexProperty): boolean;
    InternalRemoveAt(index: number): void;
    InternalToJson(service: ExchangeService): any;
    ItemChanged(complexProperty: ComplexProperty): void;
    LoadFromXmlJsObject(jsObject: any, service: ExchangeService): void;
    RemoveFromChangeLog(complexProperty: TComplexProperty): void;
    ShouldWriteToRequest(): boolean;
    UpdateFromXmlJsObject(jsObject: any, service: ExchangeService): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
    WriteToXml(writer: EwsServiceXmlWriter, xmlElementName: string, xmlNamespace?: XmlNamespace): void;
    WriteSetUpdateToXml(writer: EwsServiceXmlWriter, ewsObject: ServiceObject, propertyDefinition: PropertyDefinition): boolean;
    WriteDeleteUpdateToXml(writer: EwsServiceXmlWriter, ewsObject: ServiceObject): boolean;
}
