import { StandardUser } from "../Enumerations/StandardUser";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
import { UserId } from "./UserId";
import { PermissionScope } from "../Enumerations/PermissionScope";
import { FolderPermissionReadAccess } from "../Enumerations/FolderPermissionReadAccess";
import { FolderPermissionLevel } from "../Enumerations/FolderPermissionLevel";
import { ExchangeService } from "../Core/ExchangeService";
import { EwsServiceXmlReader } from "../Core/EwsServiceXmlReader";
import { XmlNamespace } from "../Enumerations/XmlNamespace";
import { ComplexProperty } from "./ComplexProperty";
export declare class FolderPermission extends ComplexProperty {
    UserId: UserId;
    CanCreateItems: boolean;
    CanCreateSubFolders: boolean;
    IsFolderOwner: boolean;
    IsFolderVisible: boolean;
    IsFolderContact: boolean;
    EditItems: PermissionScope;
    DeleteItems: PermissionScope;
    ReadItems: FolderPermissionReadAccess;
    PermissionLevel: FolderPermissionLevel;
    DisplayPermissionLevel: FolderPermissionLevel;
    private userId;
    private canCreateItems;
    private canCreateSubFolders;
    private isFolderOwner;
    private isFolderVisible;
    private isFolderContact;
    private editItems;
    private deleteItems;
    private readItems;
    private permissionLevel;
    private static defaultPermissions;
    private static levelVariants;
    constructor();
    constructor(userId: UserId, permissionLevel: FolderPermissionLevel);
    constructor(primarySmtpAddress: string, permissionLevel: FolderPermissionLevel);
    constructor(standardUser: StandardUser, permissionLevel: FolderPermissionLevel);
    AdjustPermissionLevel(): void;
    AssignIndividualPermissions(permission: FolderPermission): void;
    Clone(): FolderPermission;
    InternalToJson(service: ExchangeService, isCalendarFolder: boolean): any;
    private IsEqualTo(permission);
    LoadFromJson(jsonProperty: any, service: ExchangeService): any;
    LoadFromXmlJsObject(jsonProperty: any, service: ExchangeService): void;
    PropertyChanged(complexProperty: ComplexProperty): void;
    ReadElementsFromXmlJsObject(reader: EwsServiceXmlReader): boolean;
    Validate(isCalendarFolder?: boolean, permissionIndex?: number): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter, isCalendarFolder?: boolean): void;
    WriteToXml(writer: EwsServiceXmlWriter, xmlElementName: string, xmlNamespace?: XmlNamespace, isCalendarFolder?: boolean): void;
}
