import { DictionaryEntryProperty } from "./DictionaryEntryProperty";
import { PhysicalAddressKey } from "../Enumerations/PhysicalAddressKey";
import { ExchangeService } from "../Core/ExchangeService";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
import { ServiceObject } from "../Core/ServiceObjects/ServiceObject";
import { JsonObject } from "../Core/JsonObject";
import { EwsServiceXmlReader } from "../Core/EwsServiceXmlReader";
import { PropertyDefinition } from "../PropertyDefinitions/PropertyDefinition";
/**
 * PhysicalAddressEntry class
 */
export declare class PhysicalAddressEntry extends DictionaryEntryProperty<PhysicalAddressKey> {
    Street: string;
    City: string;
    State: string;
    CountryOrRegion: string;
    PostalCode: string;
    private propertyBag;
    ClearChangeLog(): void;
    GetFieldUri(xmlElementName: string): string;
    InternalToJson(service: ExchangeService): any;
    InternalWriteDeleteFieldToXml(writer: EwsServiceXmlWriter, ewsObject: ServiceObject, fieldXmlElementName: string): void;
    InternalWriteDeleteUpdateToJson(ewsObject: ServiceObject, propertyName: string, updates: JsonObject[]): void;
    LoadFromJson(jsonProperty: JsonObject, service: ExchangeService): void;
    PropertyBagChanged(): void;
    ReadElementsFromXmlJsObject(reader: EwsServiceXmlReader): boolean;
    WriteDeleteUpdateToJson(service: ExchangeService, ewsObject: ServiceObject, updates: JsonObject[]): boolean;
    WriteDeleteUpdateToXml(writer: EwsServiceXmlWriter, ewsObject: ServiceObject): boolean;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
    WriteSetUpdateToJson(service: ExchangeService, ewsObject: ServiceObject, propertyDefinition: PropertyDefinition, updates: JsonObject[]): boolean;
    WriteSetUpdateToXml(writer: EwsServiceXmlWriter, ewsObject: ServiceObject, ownerDictionaryXmlElementName: string): boolean;
}
