import { ComplexProperty } from "./ComplexProperty";
import { RulePredicates } from "./RulePredicates";
import { RuleActions } from "./RuleActions";
import { ExchangeService } from "../Core/ExchangeService";
import { JsonObject } from "../Core/JsonObject";
import { EwsServiceXmlReader } from "../Core/EwsServiceXmlReader";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
export declare class Rule extends ComplexProperty {
    Id: string;
    DisplayName: string;
    Priority: number;
    IsEnabled: boolean;
    IsNotSupported: boolean;
    IsInError: boolean;
    Conditions: RulePredicates;
    Actions: RuleActions;
    Exceptions: RulePredicates;
    private ruleId;
    private displayName;
    private priority;
    private isEnabled;
    private isNotSupported;
    private isInError;
    private conditions;
    private actions;
    private exceptions;
    InternalToJson(service: ExchangeService): any;
    InternalValidate(): void;
    LoadFromJson(jsonProperty: JsonObject, service: ExchangeService): void;
    ReadElementsFromXmlJsObject(reader: EwsServiceXmlReader): boolean;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
