import { StringList } from "./StringList";
import { ItemId } from "./ItemId";
import { ComplexProperty } from "./ComplexProperty";
import { FolderId } from "./FolderId";
import { EmailAddressCollection } from "./EmailAddressCollection";
import { MobilePhone } from "../Misc/MobilePhone";
import { ExchangeService } from "../Core/ExchangeService";
import { JsonObject } from "../Core/JsonObject";
import { EwsServiceXmlReader } from "../Core/EwsServiceXmlReader";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
export declare class RuleActions extends ComplexProperty {
    AssignCategories: StringList;
    CopyToFolder: FolderId;
    Delete: boolean;
    ForwardAsAttachmentToRecipients: EmailAddressCollection;
    ForwardToRecipients: EmailAddressCollection;
    MarkImportance: any;
    MarkAsRead: boolean;
    MoveToFolder: FolderId;
    PermanentDelete: boolean;
    RedirectToRecipients: EmailAddressCollection;
    SendSMSAlertToRecipients: MobilePhone[];
    ServerReplyWithMessage: ItemId;
    StopProcessingRules: boolean;
    private assignCategories;
    private copyToFolder;
    private delete;
    private forwardAsAttachmentToRecipients;
    private forwardToRecipients;
    private markImportance;
    private markAsRead;
    private moveToFolder;
    private permanentDelete;
    private redirectToRecipients;
    private sendSMSAlertToRecipients;
    private serverReplyWithMessage;
    private stopProcessingRules;
    ConvertSMSRecipientsFromEmailAddressCollectionToMobilePhoneCollection(emailCollection: EmailAddressCollection): MobilePhone[];
    ConvertSMSRecipientsFromMobilePhoneCollectionToEmailAddressCollection(recipientCollection: MobilePhone[]): EmailAddressCollection;
    InternalToJson(service: ExchangeService): any;
    InternalValidate(): void;
    LoadFromJson(jsonProperty: JsonObject, service: ExchangeService): void;
    ReadElementsFromXmlJsObject(reader: EwsServiceXmlReader): boolean;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
