import { StringList } from "./StringList";
import { ComplexProperty } from "./ComplexProperty";
import { EmailAddressCollection } from "./EmailAddressCollection";
import { RulePredicateDateRange } from "./RulePredicateDateRange";
import { RulePredicateSizeRange } from "./RulePredicateSizeRange";
import { EwsServiceXmlReader } from "../Core/EwsServiceXmlReader";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
export declare class RulePredicates extends ComplexProperty {
    Categories: StringList;
    ContainsBodyStrings: StringList;
    ContainsHeaderStrings: StringList;
    ContainsRecipientStrings: StringList;
    ContainsSenderStrings: StringList;
    ContainsSubjectOrBodyStrings: StringList;
    ContainsSubjectStrings: StringList;
    FlaggedForAction: any;
    FromAddresses: EmailAddressCollection;
    HasAttachments: boolean;
    Importance: any;
    IsApprovalRequest: boolean;
    IsAutomaticForward: boolean;
    IsAutomaticReply: boolean;
    IsEncrypted: boolean;
    IsMeetingRequest: boolean;
    IsMeetingResponse: boolean;
    IsNonDeliveryReport: boolean;
    IsPermissionControlled: boolean;
    IsSigned: boolean;
    IsVoicemail: boolean;
    IsReadReceipt: boolean;
    FromConnectedAccounts: StringList;
    ItemClasses: StringList;
    MessageClassifications: StringList;
    NotSentToMe: boolean;
    SentCcMe: boolean;
    SentOnlyToMe: boolean;
    SentToAddresses: EmailAddressCollection;
    SentToMe: boolean;
    SentToOrCcMe: boolean;
    Sensitivity: any;
    WithinDateRange: RulePredicateDateRange;
    WithinSizeRange: RulePredicateSizeRange;
    private categories;
    private containsBodyStrings;
    private containsHeaderStrings;
    private containsRecipientStrings;
    private containsSenderStrings;
    private containsSubjectOrBodyStrings;
    private containsSubjectStrings;
    private flaggedForAction;
    private fromAddresses;
    private fromConnectedAccounts;
    private hasAttachments;
    private importance;
    private isApprovalRequest;
    private isAutomaticForward;
    private isAutomaticReply;
    private isEncrypted;
    private isMeetingRequest;
    private isMeetingResponse;
    private isNonDeliveryReport;
    private isPermissionControlled;
    private isSigned;
    private isVoicemail;
    private isReadReceipt;
    private itemClasses;
    private messageClassifications;
    private notSentToMe;
    private sentCcMe;
    private sentOnlyToMe;
    private sentToAddresses;
    private sentToMe;
    private sentToOrCcMe;
    private sensitivity;
    private withinDateRange;
    private withinSizeRange;
    InternalValidate(): void;
    ReadElementsFromXmlJsObject(reader: EwsServiceXmlReader): boolean;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
