import { TimeZoneTransition } from "./TimeZoneTransition";
import { TimeZonePeriod } from "./TimeZonePeriod";
import { TimeZoneTransitionGroup } from "./TimeZoneTransitionGroup";
import { ExchangeService } from "../../Core/ExchangeService";
import { EwsServiceXmlWriter } from "../../Core/EwsServiceXmlWriter";
import { DictionaryWithStringKey } from "../../AltDictionary";
import { ComplexProperty } from "../ComplexProperty";
export declare class TimeZoneDefinition extends ComplexProperty {
    private static NoIdPrefix;
    Name: string;
    Id: string;
    Periods: DictionaryWithStringKey<TimeZonePeriod>;
    TransitionGroups: DictionaryWithStringKey<TimeZoneTransitionGroup>;
    private periods;
    private transitionGroups;
    private transitions;
    constructor();
    constructor(timezoneInfo: any);
    CompareTransitions(x: TimeZoneTransition, y: TimeZoneTransition): number;
    CreateTransitionGroupToPeriod(timeZonePeriod: TimeZonePeriod): TimeZoneTransitionGroup;
    LoadFromXmlJsObject(jsonProperty: any, service: ExchangeService): void;
    ToTimeZoneInfo(): any;
    Validate(): void;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
    WriteToXml(writer: EwsServiceXmlWriter): void;
}
