import { TimeZonePeriod } from "./TimeZonePeriod";
import { AbsoluteDateTransition } from "./AbsoluteDateTransition";
import { RelativeDayOfMonthTransition } from "./RelativeDayOfMonthTransition";
import { AbsoluteDayOfMonthTransition } from "./AbsoluteDayOfMonthTransition";
import { TimeZoneTransitionGroup } from "./TimeZoneTransitionGroup";
import { TimeZoneDefinition } from "./TimeZoneDefinition";
import { ExchangeService } from "../../Core/ExchangeService";
import { EwsServiceXmlWriter } from "../../Core/EwsServiceXmlWriter";
import { ComplexProperty } from "../ComplexProperty";
export declare class TimeZoneTransition extends ComplexProperty {
    private static PeriodTarget;
    private static GroupTarget;
    TargetPeriod: TimeZonePeriod;
    TargetGroup: TimeZoneTransitionGroup;
    private timeZoneDefinition;
    private targetPeriod;
    private targetGroup;
    constructor(timeZoneDefinition: TimeZoneDefinition);
    constructor(timeZoneDefinition: any, targetGroup: TimeZoneTransitionGroup);
    constructor(timeZoneDefinition: any, targetPeriod: TimeZonePeriod);
    static AbsoluteDateTransition(timeZoneDefinition: TimeZoneDefinition): AbsoluteDateTransition;
    static RelativeDayOfMonthTransition(timeZoneDefinition: TimeZoneDefinition, targetPeriod?: TimeZonePeriod): RelativeDayOfMonthTransition;
    static AbsoluteDayOfMonthTransition(timeZoneDefinition: TimeZoneDefinition, targetPeriod?: TimeZonePeriod): AbsoluteDayOfMonthTransition;
    Create(timeZoneDefinition: TimeZoneDefinition, xmlElementName: string): TimeZoneTransition;
    CreateTimeZoneTransition(timeZoneDefinition: TimeZoneDefinition, targetPeriod: TimeZonePeriod, transitionTime: any): TimeZoneTransition;
    CreateTransitionTime(): any;
    GetXmlElementName(): string;
    InitializeFromTransitionTime(transitionTime: any): any;
    LoadFromXmlJsObject(jsonProperty: any, service: ExchangeService): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
    WriteToXml(writer: EwsServiceXmlWriter): void;
}
