import { TimeZoneTransition } from "./TimeZoneTransition";
import { TimeZoneDefinition } from "./TimeZoneDefinition";
import { TimeZonePeriod } from "./TimeZonePeriod";
import { TimeSpan } from "../../DateTime";
import { EwsServiceXmlWriter } from "../../Core/EwsServiceXmlWriter";
import { ComplexProperty } from "../ComplexProperty";
export declare class CustomTimeZoneCreateParams {
    private baseOffsetToUtc;
    private standardDisplayName;
    private daylightDisplayName;
    BaseOffsetToUtc: TimeSpan;
    StandardDisplayName: string;
    DaylightDisplayName: string;
    HasDaylightPeriod: boolean;
    constructor();
}
export declare class TimeZoneTransitionGroup extends ComplexProperty {
    SupportsDaylight: boolean;
    private TransitionToDaylight;
    private TransitionToStandard;
    Id: string;
    Transitions: TimeZoneTransition[];
    private timeZoneDefinition;
    private transitions;
    private transitionToStandard;
    private transitionToDaylight;
    constructor(timeZoneDefinition: TimeZoneDefinition);
    constructor(timeZoneDefinition: any, id: string);
    CreateAdjustmentRule(startDate: Date, endDate: Date): any;
    GetCustomTimeZoneCreationParams(): CustomTimeZoneCreateParams;
    GetDaylightDelta(): TimeSpan;
    InitializeFromAdjustmentRule(adjustmentRule: any, standardPeriod: TimeZonePeriod): any;
    InitializeTransitions(): void;
    LoadFromXmlJsObject(reader: any): any;
    ReadAttributesFromXmlJsObject(reader: any): any;
    ReadElementsFromXmlJsObject(reader: any): boolean;
    Validate(): void;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
    WriteToXml(writer: EwsServiceXmlWriter): void;
}
