import { ServiceRequestBase } from "./Requests/ServiceRequestBase";
import { BasePropertySet } from "../Enumerations/BasePropertySet";
import { BodyType } from "../Enumerations/BodyType";
import { ServiceObjectType } from "../Enumerations/ServiceObjectType";
import { EwsServiceXmlWriter } from "./EwsServiceXmlWriter";
import { PropertyDefinitionBase } from "../PropertyDefinitions/PropertyDefinitionBase";
import { LazyMember } from "./LazyMember";
import { IndexerWithEnumKey } from "../AltDictionary";
export declare class PropertySet {
    static DefaultPropertySetMap: LazyMember<IndexerWithEnumKey<BasePropertySet, string>>;
    static IdOnly: PropertySet;
    static FirstClassProperties: PropertySet;
    private static defaultPropertySetMap;
    private basePropertySet;
    private additionalProperties;
    private requestedBodyType;
    private requestedUniqueBodyType;
    private requestedNormalizedBodyType;
    private filterHtml;
    private convertHtmlCodePageToUTF8;
    private inlineImageUrlTemplate;
    private blockExternalImages;
    private addTargetToLinks;
    private isReadOnly;
    private maximumBodySize;
    BasePropertySet: BasePropertySet;
    RequestedBodyType: BodyType;
    RequestedUniqueBodyType: BodyType;
    RequestedNormalizedBodyType: BodyType;
    Count: number;
    FilterHtmlContent: boolean;
    ConvertHtmlCodePageToUTF8: boolean;
    InlineImageUrlTemplate: string;
    BlockExternalImages: boolean;
    AddBlankTargetToLinks: boolean;
    MaximumBodySize: number;
    get_Item(index: number): PropertyDefinitionBase;
    constructor(basePropertySet?: BasePropertySet, additionalProperties?: PropertyDefinitionBase[]);
    Add(property: PropertyDefinitionBase): void;
    AddRange(properties: PropertyDefinitionBase[]): void;
    Clear(): void;
    Contains(property: PropertyDefinitionBase): boolean;
    static CreateReadonlyPropertySet(basePropertySet: BasePropertySet): PropertySet;
    GetEnumerator(): any;
    GetShapeName(serviceObjectType: ServiceObjectType): string;
    InternalValidate(): void;
    Remove(property: PropertyDefinitionBase): boolean;
    ThrowIfReadonly(): void;
    Validate(): void;
    ValidateForRequest(request: ServiceRequestBase, summaryPropertiesOnly: boolean): void;
    WriteAdditionalPropertiesToXml(writer: EwsServiceXmlWriter, propertyDefinitions: PropertyDefinitionBase[]): void;
    WriteToXml(writer: EwsServiceXmlWriter, serviceObjectType: ServiceObjectType): void;
}
