import { ServiceObject } from "../ServiceObjects/ServiceObject";
import { ServiceResponse } from "../Responses/ServiceResponse";
import { MessageDisposition } from "../../Enumerations/MessageDisposition";
import { SendInvitationsMode } from "../../Enumerations/SendInvitationsMode";
import { JsonObject } from "../JsonObject";
import { ExchangeService } from "../ExchangeService";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { CreateRequest } from "./CreateRequest";
export declare class CreateItemRequestBase<TServiceObject extends ServiceObject, TResponse extends ServiceResponse> extends CreateRequest<TServiceObject, TResponse> {
    MessageDisposition: MessageDisposition;
    SendInvitationsMode: SendInvitationsMode;
    Items: TServiceObject[];
    EmitTimeZoneHeader: boolean;
    constructor(service: ExchangeService, errorHandlingModeServiceErrorHandling: any);
    AddJsonProperties(jsonRequest: JsonObject, service: ExchangeService): any;
    GetObjectCollectionXmlElementName(): string;
    GetParentFolderXmlElementName(): string;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    Validate(): void;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
}
