import { ServiceObject } from "../ServiceObjects/ServiceObject";
import { ServiceResponse } from "../Responses/ServiceResponse";
import { FolderId } from "../../ComplexProperties/FolderId";
import { ServiceErrorHandling } from "../../Enumerations/ServiceErrorHandling";
import { ExchangeService } from "../ExchangeService";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
export declare class CreateRequest<TServiceObject extends ServiceObject, TResponse extends ServiceResponse> extends MultiResponseServiceRequest<TResponse> {
    private parentFolderId;
    private objects;
    Objects: TServiceObject[];
    ParentFolderId: FolderId;
    constructor(service: ExchangeService, errorHandlingMode: ServiceErrorHandling);
    AddJsonProperties(jsonRequest: any, service: ExchangeService): any;
    GetExpectedResponseMessageCount(): number;
    GetObjectCollectionXmlElementName(): string;
    GetParentFolderXmlElementName(): string;
    Validate(): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
