import { DeleteRequest } from "./DeleteRequest";
import { ItemIdWrapperList } from "../../Misc/ItemIdWrapperList";
import { AffectedTaskOccurrence } from "../../Enumerations/AffectedTaskOccurrence";
import { SendCancellationsMode } from "../../Enumerations/SendCancellationsMode";
import { ExchangeService } from "../ExchangeService";
import { ServiceResponse } from "../Responses/ServiceResponse";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { JsonObject } from "../JsonObject";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class DeleteItemRequest extends DeleteRequest<ServiceResponse> {
    ItemIds: ItemIdWrapperList;
    AffectedTaskOccurrences: AffectedTaskOccurrence;
    SendCancellationsMode: SendCancellationsMode;
    SuppressReadReceipts: boolean;
    private itemIds;
    private affectedTaskOccurrences;
    private sendCancellationsMode;
    CreateServiceResponse(service: ExchangeService, responseIndex: number): ServiceResponse;
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    InternalToJson(body: JsonObject): any;
    Validate(): any;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
