import { SimpleServiceRequestBase } from "./SimpleServiceRequestBase";
import { ViewBase } from "../../Search/ViewBase";
import { FolderIdWrapper } from "../../Misc/FolderIdWrapper";
import { MailboxSearchLocation } from "../../Enumerations/MailboxSearchLocation";
import { FindConversationResponse } from "../Responses/FindConversationResponse";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { EwsServiceXmlReader } from "../EwsServiceXmlReader";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class FindConversationRequest extends SimpleServiceRequestBase {
    View: ViewBase;
    FolderId: FolderIdWrapper;
    QueryString: string;
    ReturnHighlightTerms: boolean;
    MailboxScope: MailboxSearchLocation;
    private view;
    private folderId;
    private queryString;
    private returnHighlightTerms;
    private mailboxScope;
    Execute(): FindConversationResponse;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    ParseResponse(reader: EwsServiceXmlReader): any;
    Validate(): any;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
