import { SearchFilter } from "../../Search/Filters/SearchFilter";
import { ServiceResponse } from "../Responses/ServiceResponse";
import { ExchangeService } from "../ExchangeService";
import { ServiceErrorHandling } from "../../Enumerations/ServiceErrorHandling";
import { FolderIdWrapperList } from "../../Misc/FolderIdWrapperList";
import { ViewBase } from "../../Search/ViewBase";
import { Grouping } from "../../Search/Grouping";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
export declare class FindRequest<TResponse extends ServiceResponse> extends MultiResponseServiceRequest<TResponse> {
    ParentFolderIds: FolderIdWrapperList;
    SearchFilter: SearchFilter;
    QueryString: string;
    ReturnHighlightTerms: boolean;
    View: ViewBase;
    private parentFolderIds;
    constructor(service: ExchangeService, errorHandlingMode: ServiceErrorHandling);
    GetExpectedResponseMessageCount(): number;
    GetGroupBy(): Grouping;
    Validate(): void;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
