import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
import { Attachment } from "../../ComplexProperties/Attachment";
import { PropertyDefinitionBase } from "../../PropertyDefinitions/PropertyDefinitionBase";
import { BodyType } from "../../Enumerations/BodyType";
import { ExchangeService } from "../ExchangeService";
import { GetAttachmentResponse } from "../Responses/GetAttachmentResponse";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class GetAttachmentRequest extends MultiResponseServiceRequest<GetAttachmentResponse> {
    Attachments: Attachment[];
    AttachmentIds: string[];
    AdditionalProperties: PropertyDefinitionBase[];
    BodyType: BodyType;
    EmitTimeZoneHeader: boolean;
    private attachments;
    private attachmentIds;
    private additionalProperties;
    private bodyType;
    AddJsonAttachmentIdToList(attachmentIds: any[], attachmentId: string): any;
    CreateServiceResponse(service: ExchangeService, responseIndex: number): GetAttachmentResponse;
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    Validate(): any;
    WriteAttachmentIdXml(writer: EwsServiceXmlWriter, attachmentId: string): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
