import { FolderIdCollection } from "../../ComplexProperties/FolderIdCollection";
import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
import { ConversationRequest } from "../../ComplexProperties/ConversationRequest";
import { PropertySet } from "../PropertySet";
import { ConversationSortOrder } from "../../Enumerations/ConversationSortOrder";
import { MailboxSearchLocation } from "../../Enumerations/MailboxSearchLocation";
import { ExchangeService } from "../ExchangeService";
import { GetConversationItemsResponse } from "../Responses/GetConversationItemsResponse";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class GetConversationItemsRequest extends MultiResponseServiceRequest<GetConversationItemsResponse> {
    Conversations: ConversationRequest[];
    ItemProperties: PropertySet;
    FoldersToIgnore: FolderIdCollection;
    MaxItemsToReturn: number;
    SortOrder: ConversationSortOrder;
    MailboxScope: MailboxSearchLocation;
    CreateServiceResponse(service: ExchangeService, responseIndex: number): GetConversationItemsResponse;
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    Validate(): any;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
