import { Folder } from "../ServiceObjects/Folders/Folder";
import { ExchangeService } from "../ExchangeService";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { ServiceObjectType } from "../../Enumerations/ServiceObjectType";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { ServiceResponse } from "../Responses/ServiceResponse";
import { FolderIdWrapperList } from "../../Misc/FolderIdWrapperList";
import { GetRequest } from "./GetRequest";
export declare class GetFolderRequestBase<TResponse extends ServiceResponse> extends GetRequest<Folder, TResponse> {
    FolderIds: FolderIdWrapperList;
    private folderIds;
    constructor(service: ExchangeService, errorHandlingModeServiceErrorHandling: any);
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetServiceObjectType(): ServiceObjectType;
    GetXmlElementName(): string;
    Validate(): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
