import { Item } from "../ServiceObjects/Items/Item";
import { ServiceResponse } from "../Responses/ServiceResponse";
import { GetRequest } from "./GetRequest";
import { ItemIdWrapperList } from "../../Misc/ItemIdWrapperList";
import { JsonObject } from "../JsonObject";
import { ExchangeService } from "../ExchangeService";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { ServiceObjectType } from "../../Enumerations/ServiceObjectType";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class GetItemRequestBase<TResponse extends ServiceResponse> extends GetRequest<Item, TResponse> {
    ItemIds: ItemIdWrapperList;
    EmitTimeZoneHeader: boolean;
    private itemIds;
    AddIdsToRequest(jsonRequest: JsonObject, service: ExchangeService): any;
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetServiceObjectType(): ServiceObjectType;
    GetXmlElementName(): string;
    Validate(): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
