import { AttendeeInfo } from "../../Misc/Availability/AttendeeInfo";
import { TimeWindow } from "../../Misc/Availability/TimeWindow";
import { AvailabilityData } from "../../Enumerations/AvailabilityData";
import { AvailabilityOptions } from "../../Misc/Availability/AvailabilityOptions";
import { GetUserAvailabilityResults } from "../../Misc/Availability/GetUserAvailabilityResults";
import { IPromise } from "../../Interfaces";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { ExchangeService } from "../ExchangeService";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { SimpleServiceRequestBase } from "./SimpleServiceRequestBase";
export declare class GetUserAvailabilityRequest extends SimpleServiceRequestBase {
    EmitTimeZoneHeader: boolean;
    IsFreeBusyViewRequested: boolean;
    IsSuggestionsViewRequested: boolean;
    Attendees: AttendeeInfo[];
    TimeWindow: TimeWindow;
    RequestedData: AvailabilityData;
    Options: AvailabilityOptions;
    constructor(service: ExchangeService);
    Execute(): IPromise<GetUserAvailabilityResults>;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    ParseResponse(jsonBody: any): any;
    Validate(): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
