import { Folder } from "../ServiceObjects/Folders/Folder";
import { ServiceResponse } from "../Responses/ServiceResponse";
import { FolderIdWrapperList } from "../../Misc/FolderIdWrapperList";
import { JsonObject } from "../JsonObject";
import { ExchangeService } from "../ExchangeService";
import { ServiceErrorHandling } from "../../Enumerations/ServiceErrorHandling";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { MoveCopyRequest } from "./MoveCopyRequest";
export declare class MoveCopyFolderRequest<TResponse extends ServiceResponse> extends MoveCopyRequest<Folder, TResponse> {
    FolderIds: FolderIdWrapperList;
    private folderIds;
    constructor(service: ExchangeService, errorHandlingMode: ServiceErrorHandling);
    AddIdsToJson(jsonObject: JsonObject, service: ExchangeService): any;
    GetExpectedResponseMessageCount(): number;
    Validate(): void;
    WriteIdsToXml(writer: EwsServiceXmlWriter): void;
}
