import { ServiceObject } from "../ServiceObjects/ServiceObject";
import { ServiceResponse } from "../Responses/ServiceResponse";
import { FolderId } from "../../ComplexProperties/FolderId";
import { JsonObject } from "../JsonObject";
import { ExchangeService } from "../ExchangeService";
import { ServiceErrorHandling } from "../../Enumerations/ServiceErrorHandling";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
export declare class MoveCopyRequest<TServiceObject extends ServiceObject, TResponse extends ServiceResponse> extends MultiResponseServiceRequest<TResponse> {
    private destinationFolderId;
    DestinationFolderId: FolderId;
    constructor(service: ExchangeService, errorHandlingMode: ServiceErrorHandling);
    AddIdsToJson(jsonObject: JsonObject, service: ExchangeService): any;
    Validate(): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
    WriteIdsToXml(writer: EwsServiceXmlWriter): void;
}
