import { ServiceResponse } from "../Responses/ServiceResponse";
import { ExchangeService } from "../ExchangeService";
import { ServiceErrorHandling } from "../../Enumerations/ServiceErrorHandling";
import { ServiceResponseCollection } from "../Responses/ServiceResponseCollection";
import { IPromise } from "../../Interfaces";
import { SimpleServiceRequestBase } from "./SimpleServiceRequestBase";
export declare class MultiResponseServiceRequest<TResponse extends ServiceResponse> extends SimpleServiceRequestBase {
    ErrorHandlingMode: ServiceErrorHandling;
    private errorHandlingMode;
    constructor(service: ExchangeService, errorHandlingMode: ServiceErrorHandling);
    CreateServiceResponse(service: ExchangeService, responseIndex: number): TResponse;
    Execute(): IPromise<ServiceResponseCollection<TResponse>>;
    GetExpectedResponseMessageCount(): number;
    GetResponseMessageXmlElementName(): string;
    ParseResponseXMLJsObject(jsObject: any): any;
    ParseResponse(jsonBody: any): any;
}
