import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
import { ResolveNameSearchLocation } from "../../Enumerations/ResolveNameSearchLocation";
import { PropertySet } from "../PropertySet";
import { FolderIdWrapperList } from "../../Misc/FolderIdWrapperList";
import { ExchangeService } from "../ExchangeService";
import { ResolveNamesResponse } from "../Responses/ResolveNamesResponse";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class ResolveNamesRequest extends MultiResponseServiceRequest<ResolveNamesResponse> {
    NameToResolve: string;
    ReturnFullContactData: boolean;
    SearchLocation: ResolveNameSearchLocation;
    ContactDataPropertySet: PropertySet;
    ParentFolderIds: FolderIdWrapperList;
    private nameToResolve;
    private returnFullContactData;
    private searchLocation;
    private contactDataPropertySet;
    private parentFolderIds;
    private static searchScopeMap;
    CreateServiceResponse(service: ExchangeService, responseIndex: number): ResolveNamesResponse;
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    Validate(): any;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
