import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
import { MailboxQuery } from "../../MailboxSearch/MailboxQuery";
import { SearchResultType } from "../../Enumerations/SearchResultType";
import { PreviewItemResponseShape } from "../../MailboxSearch/PreviewItemResponseShape";
import { SortDirection } from "../../Enumerations/SortDirection";
import { SearchPageDirection } from "../../Enumerations/SearchPageDirection";
import { ExchangeService } from "../ExchangeService";
import { SearchMailboxesResponse } from "../Responses/SearchMailboxesResponse";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { EwsServiceXmlReader } from "../EwsServiceXmlReader";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class SearchMailboxesRequest extends MultiResponseServiceRequest<SearchMailboxesResponse> {
    SearchQueries: MailboxQuery[];
    ResultType: SearchResultType;
    PreviewItemResponseShape: PreviewItemResponseShape;
    SortOrder: SortDirection;
    SortByProperty: string;
    Language: string;
    PerformDeduplication: boolean;
    PageSize: number;
    PageItemReference: string;
    PageDirection: SearchPageDirection;
    private ServerVersion;
    private searchQueries;
    private searchResultType;
    private sortOrder;
    private sortByProperty;
    private performDeduplication;
    private pageSize;
    private pageItemReference;
    private pageDirection;
    private previewItemResponseShape;
    CreateServiceResponse(service: ExchangeService, responseIndex: number): SearchMailboxesResponse;
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    ParseResponse(reader: EwsServiceXmlReader): any;
    Validate(): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
