import { ExchangeService } from "../ExchangeService";
import { SoapFaultDetails } from "../../Misc/SoapFaultDetails";
import { EwsServiceXmlReader } from "../EwsServiceXmlReader";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { IPromise, IXHROptions } from "../../Interfaces";
export declare class ServiceRequestBase {
    private static XMLSchemaNamespace;
    private static XMLSchemaInstanceNamespace;
    private static ClientStatisticsRequestHeader;
    private static RequestIdResponseHeaders;
    private static clientStatisticsCache;
    Service: ExchangeService;
    private service;
    SoapFaultDetails: SoapFaultDetails;
    constructor(service: ExchangeService);
    EmitTimeZoneHeader: boolean;
    GetXmlElementName(): string;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseXmlElementName(): string;
    ParseResponse(jsonBody: any): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
    BuildXHR(): IXHROptions;
    BuildResponseObjectFromJson(jsObject: any): any;
    EmitRequest(request: IXHROptions): void;
    GetEwsHttpWebResponse(request: IXHROptions): IPromise<XMLHttpRequest>;
    GetRequestedServiceVersionString(): string;
    protected ProcessWebException(webException: XMLHttpRequest): void;
    protected ReadResponseXmlJsObject(jsObject: any): any;
    ReadSoapFault(reader: EwsServiceXmlReader): SoapFaultDetails;
    ReadSoapHeader(jsObject: any): any;
    ThrowIfNotSupportedByRequestedServerVersion(): void;
    Validate(): void;
    ValidateAndEmitRequest(request: IXHROptions): IPromise<XMLHttpRequest>;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
    WriteBodyToXml(writer: EwsServiceXmlWriter): void;
    WriteToXml(writer: EwsServiceXmlWriter): void;
}
