import { SubscribeResponse } from "../Responses/SubscribeResponse";
import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
import { FolderIdWrapperList } from "../../Misc/FolderIdWrapperList";
import { EventType } from "../../Enumerations/EventType";
import { JsonObject } from "../JsonObject";
import { ExchangeService } from "../ExchangeService";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class SubscribeRequest<TSubscription> extends MultiResponseServiceRequest<SubscribeResponse<TSubscription>> {
    FolderIds: FolderIdWrapperList;
    EventTypes: EventType[];
    Watermark: string;
    AddJsonProperties(jsonSubscribeRequest: JsonObject, service: ExchangeService): void;
    GetExpectedResponseMessageCount(): number;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetSubscriptionXmlElementName(): string;
    GetXmlElementName(): string;
    InternalWriteElementsToXml(writer: EwsServiceXmlWriter): void;
    Validate(): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
