import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
import { PropertySet } from "../PropertySet";
import { FolderId } from "../../ComplexProperties/FolderId";
import { SyncFolderItemsScope } from "../../Enumerations/SyncFolderItemsScope";
import { ItemIdWrapperList } from "../../Misc/ItemIdWrapperList";
import { ExchangeService } from "../ExchangeService";
import { SyncFolderItemsResponse } from "../Responses/SyncFolderItemsResponse";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class SyncFolderItemsRequest extends MultiResponseServiceRequest<SyncFolderItemsResponse> {
    PropertySet: PropertySet;
    SyncFolderId: FolderId;
    SyncScope: SyncFolderItemsScope;
    SyncState: string;
    IgnoredItemIds: ItemIdWrapperList;
    MaxChangesReturned: number;
    private propertySet;
    private syncFolderId;
    private syncScope;
    private syncState;
    private ignoredItemIds;
    private maxChangesReturned;
    CreateServiceResponse(service: ExchangeService, responseIndex: number): SyncFolderItemsResponse;
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    Validate(): void;
    WriteElementsToXml(writer: EwsServiceXmlWriter): void;
}
