import { MultiResponseServiceRequest } from "./MultiResponseServiceRequest";
import { MessageDisposition } from "../../Enumerations/MessageDisposition";
import { ConflictResolutionMode } from "../../Enumerations/ConflictResolutionMode";
import { SendInvitationsOrCancellationsMode } from "../../Enumerations/SendInvitationsOrCancellationsMode";
import { Item } from "../ServiceObjects/Items/Item";
import { FolderId } from "../../ComplexProperties/FolderId";
import { ExchangeService } from "../ExchangeService";
import { UpdateItemResponse } from "../Responses/UpdateItemResponse";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
export declare class UpdateItemRequest extends MultiResponseServiceRequest<UpdateItemResponse> {
    EmitTimeZoneHeader: boolean;
    MessageDisposition: MessageDisposition;
    ConflictResolutionMode: ConflictResolutionMode;
    SendInvitationsOrCancellationsMode: SendInvitationsOrCancellationsMode;
    SuppressReadReceipts: boolean;
    Items: Item[];
    SavedItemsDestinationFolder: FolderId;
    private items;
    private savedItemsDestinationFolder;
    private conflictResolutionMode;
    private messageDisposition;
    private sendInvitationsOrCancellationsMode;
    CreateServiceResponse(service: ExchangeService, responseIndex: number): UpdateItemResponse;
    GetExpectedResponseMessageCount(): number;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetResponseMessageXmlElementName(): string;
    GetResponseXmlElementName(): string;
    GetXmlElementName(): string;
    Validate(): any;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): any;
    WriteElementsToXml(writer: EwsServiceXmlWriter): any;
}
