import { EmailAddressCollection } from "../../../ComplexProperties/EmailAddressCollection";
import { EmailAddress } from "../../../ComplexProperties/EmailAddress";
import { ApprovalRequestData } from "../../../ComplexProperties/ApprovalRequestData";
import { VotingInformation } from "../../../ComplexProperties/VotingInformation";
import { ExchangeService } from "../../ExchangeService";
import { ItemId } from "../../../ComplexProperties/ItemId";
import { PropertySet } from "../../PropertySet";
import { ResponseMessage } from "../ResponseObjects/ResponseMessage";
import { MessageBody } from "../../../ComplexProperties/MessageBody";
import { ExchangeVersion } from "../../../Enumerations/ExchangeVersion";
import { ServiceObjectSchema } from "../Schemas/ServiceObjectSchema";
import { FolderId } from "../../../ComplexProperties/FolderId";
import { MessageDisposition } from "../../../Enumerations/MessageDisposition";
import { WellKnownFolderName } from "../../../Enumerations/WellKnownFolderName";
import { Item } from "./Item";
export declare class EmailMessage extends Item {
    ToRecipients: EmailAddressCollection;
    BccRecipients: EmailAddressCollection;
    CcRecipients: EmailAddressCollection;
    ConversationTopic: string;
    ConversationIndex: any[];
    From: EmailAddress;
    IsAssociated: boolean;
    IsDeliveryReceiptRequested: boolean;
    IsRead: boolean;
    IsReadReceiptRequested: boolean;
    IsResponseRequested: boolean;
    InternetMessageId: string;
    References: string;
    ReplyTo: EmailAddressCollection;
    Sender: EmailAddress;
    ReceivedBy: EmailAddress;
    ReceivedRepresenting: EmailAddress;
    ApprovalRequestData: ApprovalRequestData;
    VotingInformation: VotingInformation;
    Bind(service: ExchangeService, id: ItemId, propertySet: PropertySet): EmailMessage;
    CreateForward(): ResponseMessage;
    CreateReply(replyAll: boolean): ResponseMessage;
    Forward(bodyPrefix: MessageBody, toRecipients: any | any[]): any;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetSchema(): ServiceObjectSchema;
    GetXmlElementName(): string;
    InternalSend(parentFolderId: FolderId, messageDisposition: MessageDisposition): any;
    Reply(bodyPrefix: MessageBody, replyAll: boolean): any;
    Send(): any;
    SendAndSaveCopy(destinationFolderId: FolderId): void;
    SendAndSaveCopy(destinationFolderName: WellKnownFolderName): void;
    SendAndSaveCopy(): void;
    SuppressReadReceipt(): void;
}
