import { ItemAttachment } from "../../../ComplexProperties/ItemAttachment";
import { ItemId } from "../../../ComplexProperties/ItemId";
import { MimeContent } from "../../../ComplexProperties/MimeContent";
import { FolderId } from "../../../ComplexProperties/FolderId";
import { Sensitivity } from "../../../Enumerations/Sensitivity";
import { AttachmentCollection } from "../../../ComplexProperties/AttachmentCollection";
import { StringList } from "../../../ComplexProperties/StringList";
import { Importance } from "../../../Enumerations/Importance";
import { InternetMessageHeaderCollection } from "../../../ComplexProperties/InternetMessageHeaderCollection";
import { ResponseActions } from "../../../Enumerations/ResponseActions";
import { MessageBody } from "../../../ComplexProperties/MessageBody";
import { ExtendedPropertyCollection } from "../../../ComplexProperties/ExtendedPropertyCollection";
import { EffectiveRights } from "../../../Enumerations/EffectiveRights";
import { ConversationId } from "../../../ComplexProperties/ConversationId";
import { UniqueBody } from "../../../ComplexProperties/UniqueBody";
import { Flag } from "../../../ComplexProperties/Flag";
import { NormalizedBody } from "../../../ComplexProperties/NormalizedBody";
import { EntityExtractionResult } from "../../../ComplexProperties/EntityExtractionResult";
import { PolicyTag } from "../../../ComplexProperties/PolicyTag";
import { ArchiveTag } from "../../../ComplexProperties/ArchiveTag";
import { TextBody } from "../../../ComplexProperties/TextBody";
import { IconIndex } from "../../../Enumerations/IconIndex";
import { AffectedTaskOccurrence } from "../../../Enumerations/AffectedTaskOccurrence";
import { SendCancellationsMode } from "../../../Enumerations/SendCancellationsMode";
import { SendInvitationsMode } from "../../../Enumerations/SendInvitationsMode";
import { SendInvitationsOrCancellationsMode } from "../../../Enumerations/SendInvitationsOrCancellationsMode";
import { ExchangeService } from "../../ExchangeService";
import { PropertySet } from "../../PropertySet";
import { WellKnownFolderName } from "../../../Enumerations/WellKnownFolderName";
import { DeleteMode } from "../../../Enumerations/DeleteMode";
import { PropertyDefinition } from "../../../PropertyDefinitions/PropertyDefinition";
import { ExchangeVersion } from "../../../Enumerations/ExchangeVersion";
import { ServiceObjectSchema } from "../Schemas/ServiceObjectSchema";
import { MessageDisposition } from "../../../Enumerations/MessageDisposition";
import { ConflictResolutionMode } from "../../../Enumerations/ConflictResolutionMode";
import { ExtendedPropertyDefinition } from "../../../PropertyDefinitions/ExtendedPropertyDefinition";
import { ServiceObject } from "../ServiceObject";
export declare class Item extends ServiceObject {
    private parentAttachment;
    ParentAttachment: ItemAttachment;
    RootItemId: ItemId;
    IsAttachment: boolean;
    IsNew: boolean;
    Id: ItemId;
    MimeContent: MimeContent;
    ParentFolderId: FolderId;
    Sensitivity: Sensitivity;
    Attachments: AttachmentCollection;
    DateTimeReceived: Date;
    Size: number;
    Categories: StringList;
    Culture: string;
    Importance: Importance;
    InReplyTo: string;
    IsSubmitted: boolean;
    IsAssociated: boolean;
    IsDraft: boolean;
    IsFromMe: boolean;
    IsResend: boolean;
    IsUnmodified: boolean;
    InternetMessageHeaders: InternetMessageHeaderCollection;
    DateTimeSent: Date;
    DateTimeCreated: Date;
    AllowedResponseActions: ResponseActions;
    ReminderDueBy: Date;
    IsReminderSet: boolean;
    ReminderMinutesBeforeStart: number;
    DisplayCc: string;
    DisplayTo: string;
    HasAttachments: boolean;
    Body: MessageBody;
    ItemClass: string;
    Subject: string;
    WebClientReadFormQueryString: string;
    WebClientEditFormQueryString: string;
    ExtendedProperties: ExtendedPropertyCollection;
    EffectiveRights: EffectiveRights;
    LastModifiedName: string;
    LastModifiedTime: Date;
    ConversationId: ConversationId;
    UniqueBody: UniqueBody;
    StoreEntryId: number[];
    InstanceKey: number[];
    Flag: Flag;
    NormalizedBody: NormalizedBody;
    EntityExtractionResult: EntityExtractionResult;
    PolicyTag: PolicyTag;
    ArchiveTag: ArchiveTag;
    RetentionDate: Date;
    Preview: string;
    TextBody: TextBody;
    IconIndex: IconIndex;
    DefaultAffectedTaskOccurrences: AffectedTaskOccurrence;
    DefaultSendCancellationsMode: SendCancellationsMode;
    DefaultSendInvitationsMode: SendInvitationsMode;
    DefaultSendInvitationsOrCancellationsMode: SendInvitationsOrCancellationsMode;
    constructor(svc: ExchangeService);
    constructor(parentAttachment: ItemAttachment);
    Bind(service: ExchangeService, id: ItemId, propertySet?: PropertySet): Item;
    Copy(destinationFolderIdOrName: FolderId | WellKnownFolderName): Item;
    Delete(deleteMode: DeleteMode, suppressReadReceipts?: boolean): void;
    GetExtendedProperties(): ExtendedPropertyCollection;
    GetIdPropertyDefinition(): PropertyDefinition;
    GetIsTimeZoneHeaderRequired(isUpdateOperation: boolean): boolean;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetSchema(): ServiceObjectSchema;
    GetXmlElementName(): string;
    HasUnprocessedAttachmentChanges(): boolean;
    InternalCreate(parentFolderId: FolderId, messageDisposition: MessageDisposition, sendInvitationsMode: SendInvitationsMode): void;
    InternalDelete(deleteMode: DeleteMode, sendCancellationsMode?: SendCancellationsMode, affectedTaskOccurrences?: AffectedTaskOccurrence, suppressReadReceipts?: boolean): void;
    InternalLoad(propertySet: PropertySet): void;
    InternalUpdate(parentFolderId: FolderId, conflictResolutionMode: ConflictResolutionMode, messageDisposition: MessageDisposition, sendInvitationsOrCancellationsMode: SendInvitationsOrCancellationsMode, suppressReadReceipts?: boolean): Item;
    Move(destinationFolderIdOrName: FolderId | WellKnownFolderName): Item;
    RemoveExtendedProperty(extendedPropertyDefinition: ExtendedPropertyDefinition): boolean;
    Save(parentFolderId: FolderId): any;
    SetExtendedProperty(extendedPropertyDefinition: ExtendedPropertyDefinition, value: any): any;
    SetSubject(subject: string): any;
    ThrowIfThisIsAttachment(): void;
    Update(conflictResolutionMode: ConflictResolutionMode, suppressReadReceipts: boolean): any;
    Validate(): void;
    IsItemInstance(): boolean;
}
