import { MessageBody } from "../../../ComplexProperties/MessageBody";
import { ServiceObject } from "../ServiceObject";
import { ExchangeVersion } from "../../../Enumerations/ExchangeVersion";
import { ServiceObjectSchema } from "../Schemas/ServiceObjectSchema";
import { FolderId } from "../../../ComplexProperties/FolderId";
import { MessageDisposition } from "../../../Enumerations/MessageDisposition";
import { PostItem } from "../Items/PostItem";
import { DeleteMode } from "../../../Enumerations/DeleteMode";
import { SendCancellationsMode } from "../../../Enumerations/SendCancellationsMode";
import { AffectedTaskOccurrence } from "../../../Enumerations/AffectedTaskOccurrence";
import { PropertySet } from "../../PropertySet";
import { WellKnownFolderName } from "../../../Enumerations/WellKnownFolderName";
export declare class PostReply extends ServiceObject {
    Subject: string;
    Body: MessageBody;
    BodyPrefix: MessageBody;
    private referenceItem;
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetSchema(): ServiceObjectSchema;
    GetXmlElementName(): string;
    InternalCreate(parentFolderId: FolderId, messageDisposition: MessageDisposition): PostItem;
    InternalDelete(deleteMode: DeleteMode, sendCancellationsMode: SendCancellationsMode, affectedTaskOccurrences: AffectedTaskOccurrence): any;
    InternalLoad(propertySet: PropertySet): any;
    Save(destinationFolderName: WellKnownFolderName): PostItem;
}
