import { IOutParam } from "../../Interfaces/IOutParam";
import { ExtendedPropertyCollection } from "../../ComplexProperties/ExtendedPropertyCollection";
import { ServiceId } from "../../ComplexProperties/ServiceId";
import { PropertyBag } from "../PropertyBag";
import { ServiceObjectSchema } from "./Schemas/ServiceObjectSchema";
import { ExchangeService } from "../ExchangeService";
import { ExchangeVersion } from "../../Enumerations/ExchangeVersion";
import { EwsServiceXmlWriter } from "../EwsServiceXmlWriter";
import { PropertySet } from "../PropertySet";
import { DeleteMode } from "../../Enumerations/DeleteMode";
import { SendCancellationsMode } from "../../Enumerations/SendCancellationsMode";
import { AffectedTaskOccurrence } from "../../Enumerations/AffectedTaskOccurrence";
import { PropertyDefinition } from "../../PropertyDefinitions/PropertyDefinition";
import { PropertyDefinitionBase } from "../../PropertyDefinitions/PropertyDefinitionBase";
import { ExtendedPropertyDefinition } from "../../PropertyDefinitions/ExtendedPropertyDefinition";
export declare class ServiceObject {
    PropertyBag: PropertyBag;
    Schema: ServiceObjectSchema;
    Item: any;
    Service: ExchangeService;
    IsNew: boolean;
    protected IsNewProxy(): boolean;
    IsDirty: boolean;
    private lockObject;
    private propertyBag;
    private xmlElementName;
    private OnChange;
    constructor(service: ExchangeService);
    /**This Indexer of c# */
    _getItem(propertyDefinition: PropertyDefinitionBase): any;
    Changed(): void;
    ClearChangeLog(): void;
    GetChangeXmlElementName(): string;
    GetDeleteFieldXmlElementName(): string;
    GetExtendedProperties(): ExtendedPropertyCollection;
    GetId(): ServiceId;
    GetIdPropertyDefinition(): PropertyDefinition;
    GetIsCustomDateTimeScopingRequired(): boolean;
    GetIsTimeZoneHeaderRequired(isUpdateOperation: boolean): boolean;
    GetLoadedPropertyDefinitions(): PropertyDefinitionBase[];
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    GetSchema(): ServiceObjectSchema;
    GetSetFieldXmlElementName(): string;
    GetXmlElementName(): string;
    GetXmlElementNameOverride(): string;
    InternalDelete(deleteMode: DeleteMode, sendCancellationsMode: SendCancellationsMode, affectedTaskOccurrences: AffectedTaskOccurrence): void;
    InternalLoad(propertySet: PropertySet): void;
    Load(propertySet?: PropertySet): void;
    LoadFromXmlJsObject(jsObject: any, service: ExchangeService, clearPropertyBag: boolean, requestedPropertySet?: PropertySet, summaryPropertiesOnly?: boolean): void;
    ThrowIfThisIsNew(): void;
    ThrowIfThisIsNotNew(): void;
    TryGetExtendedProperty<T>(propertyDefinition: ExtendedPropertyDefinition, propertyValue: IOutParam<T>): boolean;
    TryGetProperty<T>(propertyDefinition: PropertyDefinitionBase, propertyValue: IOutParam<T>): boolean;
    Validate(): void;
    WriteToXml(writer: EwsServiceXmlWriter): void;
    WriteToXmlForUpdate(writer: EwsServiceXmlWriter): void;
    IsFolderInstance(): boolean;
    IsItemInstance(): boolean;
    IsAttachment: boolean;
}
