import { ServiceObject } from "./ServiceObject";
import { IndexerWithStringKey } from "../../AltDictionary";
import { CreateServiceObjectWithAttachmentParam, CreateServiceObjectWithServiceParam } from "../../Misc/DelegateTypes";
import { ExchangeService } from "../ExchangeService";
/**
 * Moved part of CreateEwsObjectFromXmlElementName to different object type like FolderInfo, itemInfo etc
 */
export declare class ServiceObjectInfo {
    XmlElementNameToServiceObjectClassMap: IndexerWithStringKey<string>;
    ServiceObjectConstructorsWithServiceParam: IndexerWithStringKey<CreateServiceObjectWithServiceParam>;
    ServiceObjectConstructorsWithAttachmentParam: IndexerWithStringKey<CreateServiceObjectWithAttachmentParam>;
    private xmlElementNameToServiceObjectClassMap;
    private serviceObjectConstructorsWithServiceParam;
    private serviceObjectConstructorsWithAttachmentParam;
    constructor();
    protected AddServiceObjectType(xmlElementName: string, type: string, createServiceObjectWithServiceParam: CreateServiceObjectWithServiceParam, createServiceObjectWithAttachmentParam: CreateServiceObjectWithAttachmentParam): any;
    InitializeServiceObjectClassMap(): any;
    CreateEwsObjectFromXmlElementName<TServiceObject extends ServiceObject>(service: ExchangeService, xmlElementName: string): TServiceObject;
}
