export declare enum ServiceError {
    NoError = 0,
    ErrorAccessDenied = 1,
    ErrorAccessModeSpecified = 2,
    ErrorAccountDisabled = 3,
    ErrorAddDelegatesFailed = 4,
    ErrorAddressSpaceNotFound = 5,
    ErrorADOperation = 6,
    ErrorADSessionFilter = 7,
    ErrorADUnavailable = 8,
    ErrorAffectedTaskOccurrencesRequired = 9,
    ErrorApplyConversationActionFailed = 10,
    ErrorArchiveMailboxNotEnabled = 11,
    ErrorArchiveFolderPathCreation = 12,
    ErrorArchiveMailboxServiceDiscoveryFailed = 13,
    ErrorAttachmentNestLevelLimitExceeded = 14,
    ErrorAttachmentSizeLimitExceeded = 15,
    ErrorAutoDiscoverFailed = 16,
    ErrorAvailabilityConfigNotFound = 17,
    ErrorBatchProcessingStopped = 18,
    ErrorCalendarCannotMoveOrCopyOccurrence = 19,
    ErrorCalendarCannotUpdateDeletedItem = 20,
    ErrorCalendarCannotUseIdForOccurrenceId = 21,
    ErrorCalendarCannotUseIdForRecurringMasterId = 22,
    ErrorCalendarDurationIsTooLong = 23,
    ErrorCalendarEndDateIsEarlierThanStartDate = 24,
    ErrorCalendarFolderIsInvalidForCalendarView = 25,
    ErrorCalendarInvalidAttributeValue = 26,
    ErrorCalendarInvalidDayForTimeChangePattern = 27,
    ErrorCalendarInvalidDayForWeeklyRecurrence = 28,
    ErrorCalendarInvalidPropertyState = 29,
    ErrorCalendarInvalidPropertyValue = 30,
    ErrorCalendarInvalidRecurrence = 31,
    ErrorCalendarInvalidTimeZone = 32,
    ErrorCalendarIsCancelledForAccept = 33,
    ErrorCalendarIsCancelledForDecline = 34,
    ErrorCalendarIsCancelledForRemove = 35,
    ErrorCalendarIsCancelledForTentative = 36,
    ErrorCalendarIsDelegatedForAccept = 37,
    ErrorCalendarIsDelegatedForDecline = 38,
    ErrorCalendarIsDelegatedForRemove = 39,
    ErrorCalendarIsDelegatedForTentative = 40,
    ErrorCalendarIsNotOrganizer = 41,
    ErrorCalendarIsOrganizerForAccept = 42,
    ErrorCalendarIsOrganizerForDecline = 43,
    ErrorCalendarIsOrganizerForRemove = 44,
    ErrorCalendarIsOrganizerForTentative = 45,
    ErrorCalendarMeetingRequestIsOutOfDate = 46,
    ErrorCalendarOccurrenceIndexIsOutOfRecurrenceRange = 47,
    ErrorCalendarOccurrenceIsDeletedFromRecurrence = 48,
    ErrorCalendarOutOfRange = 49,
    ErrorCalendarViewRangeTooBig = 50,
    ErrorCallerIsInvalidADAccount = 51,
    ErrorCannotArchiveCalendarContactTaskFolderException = 52,
    ErrorCannotArchiveItemsInArchiveMailbox = 53,
    ErrorCannotArchiveItemsInPublicFolders = 54,
    ErrorCannotCreateCalendarItemInNonCalendarFolder = 55,
    ErrorCannotCreateContactInNonContactFolder = 56,
    ErrorCannotCreatePostItemInNonMailFolder = 57,
    ErrorCannotCreateTaskInNonTaskFolder = 58,
    ErrorCannotDeleteObject = 59,
    ErrorCannotDeleteTaskOccurrence = 60,
    ErrorCannotDisableMandatoryExtension = 61,
    ErrorCannotEmptyFolder = 62,
    ErrorCannotGetExternalEcpUrl = 63,
    ErrorCannotGetSourceFolderPath = 64,
    ErrorCannotOpenFileAttachment = 65,
    ErrorCannotSetCalendarPermissionOnNonCalendarFolder = 66,
    ErrorCannotSetNonCalendarPermissionOnCalendarFolder = 67,
    ErrorCannotSetPermissionUnknownEntries = 68,
    ErrorCannotSpecifySearchFolderAsSourceFolder = 69,
    ErrorCannotUseFolderIdForItemId = 70,
    ErrorCannotUseItemIdForFolderId = 71,
    ErrorChangeKeyRequired = 72,
    ErrorChangeKeyRequiredForWriteOperations = 73,
    ErrorClientDisconnected = 74,
    ErrorConnectionFailed = 75,
    ErrorContainsFilterWrongType = 76,
    ErrorContentConversionFailed = 77,
    ErrorCorruptData = 78,
    ErrorCreateItemAccessDenied = 79,
    ErrorCreateManagedFolderPartialCompletion = 80,
    ErrorCreateSubfolderAccessDenied = 81,
    ErrorCrossMailboxMoveCopy = 82,
    ErrorCrossSiteRequest = 83,
    ErrorDataSizeLimitExceeded = 84,
    ErrorDataSourceOperation = 85,
    ErrorDelegateAlreadyExists = 86,
    ErrorDelegateCannotAddOwner = 87,
    ErrorDelegateMissingConfiguration = 88,
    ErrorDelegateNoUser = 89,
    ErrorDelegateValidationFailed = 90,
    ErrorDeleteDistinguishedFolder = 91,
    ErrorDeleteItemsFailed = 92,
    ErrorDistinguishedUserNotSupported = 93,
    ErrorDistributionListMemberNotExist = 94,
    ErrorDuplicateInputFolderNames = 95,
    ErrorDuplicateLegacyDistinguishedName = 96,
    ErrorDuplicateSOAPHeader = 97,
    ErrorDuplicateUserIdsSpecified = 98,
    ErrorEmailAddressMismatch = 99,
    ErrorEventNotFound = 100,
    ErrorExceededConnectionCount = 101,
    ErrorExceededFindCountLimit = 102,
    ErrorExceededSubscriptionCount = 103,
    ErrorExpiredSubscription = 104,
    ErrorExtensionNotFound = 105,
    ErrorFolderCorrupt = 106,
    ErrorFolderExists = 107,
    ErrorFolderNotFound = 108,
    ErrorFolderPropertRequestFailed = 109,
    ErrorFolderSave = 110,
    ErrorFolderSaveFailed = 111,
    ErrorFolderSavePropertyError = 112,
    ErrorFreeBusyDLLimitReached = 113,
    ErrorFreeBusyGenerationFailed = 114,
    ErrorGetServerSecurityDescriptorFailed = 115,
    ErrorImContactLimitReached = 116,
    ErrorImGroupDisplayNameAlreadyExists = 117,
    ErrorImGroupLimitReached = 118,
    ErrorImpersonateUserDenied = 119,
    ErrorImpersonationDenied = 120,
    ErrorImpersonationFailed = 121,
    ErrorInboxRulesValidationError = 122,
    ErrorIncorrectSchemaVersion = 123,
    ErrorIncorrectUpdatePropertyCount = 124,
    ErrorIndividualMailboxLimitReached = 125,
    ErrorInsufficientResources = 126,
    ErrorInternalServerError = 127,
    ErrorInternalServerTransientError = 128,
    ErrorInvalidAccessLevel = 129,
    ErrorInvalidArgument = 130,
    ErrorInvalidAttachmentId = 131,
    ErrorInvalidAttachmentSubfilter = 132,
    ErrorInvalidAttachmentSubfilterTextFilter = 133,
    ErrorInvalidAuthorizationContext = 134,
    ErrorInvalidChangeKey = 135,
    ErrorInvalidClientSecurityContext = 136,
    ErrorInvalidCompleteDate = 137,
    ErrorInvalidContactEmailAddress = 138,
    ErrorInvalidContactEmailIndex = 139,
    ErrorInvalidCrossForestCredentials = 140,
    ErrorInvalidDelegatePermission = 141,
    ErrorInvalidDelegateUserId = 142,
    ErrorInvalidExchangeImpersonationHeaderData = 143,
    ErrorInvalidExcludesRestriction = 144,
    ErrorInvalidExpressionTypeForSubFilter = 145,
    ErrorInvalidExtendedProperty = 146,
    ErrorInvalidExtendedPropertyValue = 147,
    ErrorInvalidExternalSharingInitiator = 148,
    ErrorInvalidExternalSharingSubscriber = 149,
    ErrorInvalidFederatedOrganizationId = 150,
    ErrorInvalidFolderId = 151,
    ErrorInvalidFolderTypeForOperation = 152,
    ErrorInvalidFractionalPagingParameters = 153,
    ErrorInvalidFreeBusyViewType = 154,
    ErrorInvalidGetSharingFolderRequest = 155,
    ErrorInvalidId = 156,
    ErrorInvalidImContactId = 157,
    ErrorInvalidImDistributionGroupSmtpAddress = 158,
    ErrorInvalidImGroupId = 159,
    ErrorInvalidIdEmpty = 160,
    ErrorInvalidIdMalformed = 161,
    ErrorInvalidIdMalformedEwsLegacyIdFormat = 162,
    ErrorInvalidIdMonikerTooLong = 163,
    ErrorInvalidIdNotAnItemAttachmentId = 164,
    ErrorInvalidIdReturnedByResolveNames = 165,
    ErrorInvalidIdStoreObjectIdTooLong = 166,
    ErrorInvalidIdTooManyAttachmentLevels = 167,
    ErrorInvalidIdXml = 168,
    ErrorInvalidIndexedPagingParameters = 169,
    ErrorInvalidInternetHeaderChildNodes = 170,
    ErrorInvalidItemForOperationAcceptItem = 171,
    ErrorInvalidItemForOperationArchiveItem = 172,
    ErrorInvalidItemForOperationCancelItem = 173,
    ErrorInvalidItemForOperationCreateItem = 174,
    ErrorInvalidItemForOperationCreateItemAttachment = 175,
    ErrorInvalidItemForOperationDeclineItem = 176,
    ErrorInvalidItemForOperationExpandDL = 177,
    ErrorInvalidItemForOperationRemoveItem = 178,
    ErrorInvalidItemForOperationSendItem = 179,
    ErrorInvalidItemForOperationTentative = 180,
    ErrorInvalidLogonType = 181,
    ErrorInvalidMailbox = 182,
    ErrorInvalidManagedFolderProperty = 183,
    ErrorInvalidManagedFolderQuota = 184,
    ErrorInvalidManagedFolderSize = 185,
    ErrorInvalidMergedFreeBusyInterval = 186,
    ErrorInvalidNameForNameResolution = 187,
    ErrorInvalidNetworkServiceContext = 188,
    ErrorInvalidOofParameter = 189,
    ErrorInvalidOperation = 190,
    ErrorInvalidOrganizationRelationshipForFreeBusy = 191,
    ErrorInvalidPagingMaxRows = 192,
    ErrorInvalidParentFolder = 193,
    ErrorInvalidPercentCompleteValue = 194,
    ErrorInvalidPermissionSettings = 195,
    ErrorInvalidPhoneCallId = 196,
    ErrorInvalidPhoneNumber = 197,
    ErrorInvalidPropertyAppend = 198,
    ErrorInvalidPropertyDelete = 199,
    ErrorInvalidPropertyForExists = 200,
    ErrorInvalidPropertyForOperation = 201,
    ErrorInvalidPropertyRequest = 202,
    ErrorInvalidPropertySet = 203,
    ErrorInvalidPropertyUpdateSentMessage = 204,
    ErrorInvalidProxySecurityContext = 205,
    ErrorInvalidPullSubscriptionId = 206,
    ErrorInvalidPushSubscriptionUrl = 207,
    ErrorInvalidRecipients = 208,
    ErrorInvalidRecipientSubfilter = 209,
    ErrorInvalidRecipientSubfilterComparison = 210,
    ErrorInvalidRecipientSubfilterOrder = 211,
    ErrorInvalidRecipientSubfilterTextFilter = 212,
    ErrorInvalidReferenceItem = 213,
    ErrorInvalidRequest = 214,
    ErrorInvalidRestriction = 215,
    ErrorInvalidRetentionTagTypeMismatch = 216,
    ErrorInvalidRetentionTagInvisible = 217,
    ErrorInvalidRetentionTagInheritance = 218,
    ErrorInvalidRetentionTagIdGuid = 219,
    ErrorInvalidRoutingType = 220,
    ErrorInvalidScheduledOofDuration = 221,
    ErrorInvalidSchemaVersionForMailboxVersion = 222,
    ErrorInvalidSecurityDescriptor = 223,
    ErrorInvalidSendItemSaveSettings = 224,
    ErrorInvalidSerializedAccessToken = 225,
    ErrorInvalidServerVersion = 226,
    ErrorInvalidSharingData = 227,
    ErrorInvalidSharingMessage = 228,
    ErrorInvalidSid = 229,
    ErrorInvalidSIPUri = 230,
    ErrorInvalidSmtpAddress = 231,
    ErrorInvalidSubfilterType = 232,
    ErrorInvalidSubfilterTypeNotAttendeeType = 233,
    ErrorInvalidSubfilterTypeNotRecipientType = 234,
    ErrorInvalidSubscription = 235,
    ErrorInvalidSubscriptionRequest = 236,
    ErrorInvalidSyncStateData = 237,
    ErrorInvalidTimeInterval = 238,
    ErrorInvalidUserInfo = 239,
    ErrorInvalidUserOofSettings = 240,
    ErrorInvalidUserPrincipalName = 241,
    ErrorInvalidUserSid = 242,
    ErrorInvalidUserSidMissingUPN = 243,
    ErrorInvalidValueForProperty = 244,
    ErrorInvalidWatermark = 245,
    ErrorIPGatewayNotFound = 246,
    ErrorIrresolvableConflict = 247,
    ErrorItemCorrupt = 248,
    ErrorItemNotFound = 249,
    ErrorItemPropertyRequestFailed = 250,
    ErrorItemSave = 251,
    ErrorItemSavePropertyError = 252,
    ErrorLegacyMailboxFreeBusyViewTypeNotMerged = 253,
    ErrorLocalServerObjectNotFound = 254,
    ErrorLogonAsNetworkServiceFailed = 255,
    ErrorMailboxConfiguration = 256,
    ErrorMailboxDataArrayEmpty = 257,
    ErrorMailboxDataArrayTooBig = 258,
    ErrorMailboxFailover = 259,
    ErrorMailboxHoldNotFound = 260,
    ErrorMailboxLogonFailed = 261,
    ErrorMailboxMoveInProgress = 262,
    ErrorMailboxStoreUnavailable = 263,
    ErrorMailRecipientNotFound = 264,
    ErrorMailTipsDisabled = 265,
    ErrorManagedFolderAlreadyExists = 266,
    ErrorManagedFolderNotFound = 267,
    ErrorManagedFoldersRootFailure = 268,
    ErrorMeetingSuggestionGenerationFailed = 269,
    ErrorMessageDispositionRequired = 270,
    ErrorMessageSizeExceeded = 271,
    ErrorMessageTrackingNoSuchDomain = 272,
    ErrorMessageTrackingPermanentError = 273,
    ErrorMessageTrackingTransientError = 274,
    ErrorMimeContentConversionFailed = 275,
    ErrorMimeContentInvalid = 276,
    ErrorMimeContentInvalidBase64String = 277,
    ErrorMissedNotificationEvents = 278,
    ErrorMissingArgument = 279,
    ErrorMissingEmailAddress = 280,
    ErrorMissingEmailAddressForManagedFolder = 281,
    ErrorMissingInformationEmailAddress = 282,
    ErrorMissingInformationReferenceItemId = 283,
    ErrorMissingInformationSharingFolderId = 284,
    ErrorMissingItemForCreateItemAttachment = 285,
    ErrorMissingManagedFolderId = 286,
    ErrorMissingRecipients = 287,
    ErrorMissingUserIdInformation = 288,
    ErrorMoreThanOneAccessModeSpecified = 289,
    ErrorMoveCopyFailed = 290,
    ErrorMoveDistinguishedFolder = 291,
    ErrorMultiLegacyMailboxAccess = 292,
    ErrorNameResolutionMultipleResults = 293,
    ErrorNameResolutionNoMailbox = 294,
    ErrorNameResolutionNoResults = 295,
    ErrorNewEventStreamConnectionOpened = 296,
    ErrorNoApplicableProxyCASServersAvailable = 297,
    ErrorNoCalendar = 298,
    ErrorNoDestinationCASDueToKerberosRequirements = 299,
    ErrorNoDestinationCASDueToSSLRequirements = 300,
    ErrorNoDestinationCASDueToVersionMismatch = 301,
    ErrorNoFolderClassOverride = 302,
    ErrorNoFreeBusyAccess = 303,
    ErrorNonExistentMailbox = 304,
    ErrorNonPrimarySmtpAddress = 305,
    ErrorNoPropertyTagForCustomProperties = 306,
    ErrorNoPublicFolderReplicaAvailable = 307,
    ErrorNoPublicFolderServerAvailable = 308,
    ErrorNoRespondingCASInDestinationSite = 309,
    ErrorNotAllowedExternalSharingByPolicy = 310,
    ErrorNotDelegate = 311,
    ErrorNotEnoughMemory = 312,
    ErrorNotSupportedSharingMessage = 313,
    ErrorObjectTypeChanged = 314,
    ErrorOccurrenceCrossingBoundary = 315,
    ErrorOccurrenceTimeSpanTooBig = 316,
    ErrorOperationNotAllowedWithPublicFolderRoot = 317,
    ErrorOrganizationNotFederated = 318,
    ErrorOutlookRuleBlobExists = 319,
    ErrorParentFolderIdRequired = 320,
    ErrorParentFolderNotFound = 321,
    ErrorPasswordChangeRequired = 322,
    ErrorPasswordExpired = 323,
    ErrorPermissionNotAllowedByPolicy = 324,
    ErrorPhoneNumberNotDialable = 325,
    ErrorPropertyUpdate = 326,
    ErrorPropertyValidationFailure = 327,
    ErrorProxiedSubscriptionCallFailure = 328,
    ErrorProxyCallFailed = 329,
    ErrorProxyGroupSidLimitExceeded = 330,
    ErrorProxyRequestNotAllowed = 331,
    ErrorProxyRequestProcessingFailed = 332,
    ErrorProxyServiceDiscoveryFailed = 333,
    ErrorProxyTokenExpired = 334,
    ErrorPublicFolderRequestProcessingFailed = 335,
    ErrorPublicFolderServerNotFound = 336,
    ErrorQueryFilterTooLong = 337,
    ErrorQuotaExceeded = 338,
    ErrorReadEventsFailed = 339,
    ErrorReadReceiptNotPending = 340,
    ErrorRecurrenceEndDateTooBig = 341,
    ErrorRecurrenceHasNoOccurrence = 342,
    ErrorRemoveDelegatesFailed = 343,
    ErrorRequestAborted = 344,
    ErrorRequestStreamTooBig = 345,
    ErrorRequiredPropertyMissing = 346,
    ErrorResolveNamesInvalidFolderType = 347,
    ErrorResolveNamesOnlyOneContactsFolderAllowed = 348,
    ErrorResponseSchemaValidation = 349,
    ErrorRestrictionTooComplex = 350,
    ErrorRestrictionTooLong = 351,
    ErrorResultSetTooBig = 352,
    ErrorRulesOverQuota = 353,
    ErrorSavedItemFolderNotFound = 354,
    ErrorSchemaValidation = 355,
    ErrorSearchFolderNotInitialized = 356,
    ErrorSendAsDenied = 357,
    ErrorSendMeetingCancellationsRequired = 358,
    ErrorSendMeetingInvitationsOrCancellationsRequired = 359,
    ErrorSendMeetingInvitationsRequired = 360,
    ErrorSentMeetingRequestUpdate = 361,
    ErrorSentTaskRequestUpdate = 362,
    ErrorServerBusy = 363,
    ErrorServiceDiscoveryFailed = 364,
    ErrorSharingNoExternalEwsAvailable = 365,
    ErrorSharingSynchronizationFailed = 366,
    ErrorStaleObject = 367,
    ErrorSubmissionQuotaExceeded = 368,
    ErrorSubscriptionAccessDenied = 369,
    ErrorSubscriptionDelegateAccessNotSupported = 370,
    ErrorSubscriptionNotFound = 371,
    ErrorSubscriptionUnsubscribed = 372,
    ErrorSyncFolderNotFound = 373,
    ErrorTeamMailboxNotFound = 374,
    ErrorTeamMailboxNotLinkedToSharePoint = 375,
    ErrorTeamMailboxUrlValidationFailed = 376,
    ErrorTeamMailboxNotAuthorizedOwner = 377,
    ErrorTeamMailboxActiveToPendingDelete = 378,
    ErrorTeamMailboxFailedSendingNotifications = 379,
    ErrorTeamMailboxErrorUnknown = 380,
    ErrorTimeIntervalTooBig = 381,
    ErrorTimeoutExpired = 382,
    ErrorTimeZone = 383,
    ErrorToFolderNotFound = 384,
    ErrorTokenSerializationDenied = 385,
    ErrorUnableToGetUserOofSettings = 386,
    ErrorUnableToRemoveImContactFromGroup = 387,
    ErrorUnifiedMessagingDialPlanNotFound = 388,
    ErrorUnifiedMessagingRequestFailed = 389,
    ErrorUnifiedMessagingServerNotFound = 390,
    ErrorUnsupportedCulture = 391,
    ErrorUnsupportedMapiPropertyType = 392,
    ErrorUnsupportedMimeConversion = 393,
    ErrorUnsupportedPathForQuery = 394,
    ErrorUnsupportedPathForSortGroup = 395,
    ErrorUnsupportedPropertyDefinition = 396,
    ErrorUnsupportedQueryFilter = 397,
    ErrorUnsupportedRecurrence = 398,
    ErrorUnsupportedSubFilter = 399,
    ErrorUnsupportedTypeForConversion = 400,
    ErrorUpdateDelegatesFailed = 401,
    ErrorUpdatePropertyMismatch = 402,
    ErrorUserNotAllowedByPolicy = 403,
    ErrorUserNotUnifiedMessagingEnabled = 404,
    ErrorUserWithoutFederatedProxyAddress = 405,
    ErrorValueOutOfRange = 406,
    ErrorVirusDetected = 407,
    ErrorVirusMessageDeleted = 408,
    ErrorVoiceMailNotImplemented = 409,
    ErrorWebRequestInInvalidState = 410,
    ErrorWin32InteropError = 411,
    ErrorWorkingHoursSaveFailed = 412,
    ErrorWorkingHoursXmlMalformed = 413,
    ErrorWrongServerVersion = 414,
    ErrorWrongServerVersionDelegate = 415,
    ErrorInvalidClientAccessTokenRequest = 416,
    ErrorInvalidManagementRoleHeader = 417,
    ErrorSearchQueryHasTooManyKeywords = 418,
    ErrorSearchTooManyMailboxes = 419,
    ErrorInvalidRetentionTagNone = 420,
    ErrorDiscoverySearchesDisabled = 421,
    ErrorCalendarSeekToConditionNotSupported = 422,
    ErrorArchiveMailboxSearchFailed = 423,
    ErrorGetRemoteArchiveFolderFailed = 424,
    ErrorFindRemoteArchiveFolderFailed = 425,
    ErrorGetRemoteArchiveItemFailed = 426,
    ErrorExportRemoteArchiveItemsFailed = 427,
    ErrorClientIntentInvalidStateDefinition = 428,
    ErrorClientIntentNotFound = 429,
    ErrorContentIndexingNotEnabled = 430,
    ErrorDeleteUnifiedMessagingPromptFailed = 431,
    ErrorLocationServicesDisabled = 432,
    ErrorLocationServicesInvalidRequest = 433,
    ErrorLocationServicesRequestFailed = 434,
    ErrorLocationServicesRequestTimedOut = 435,
    ErrorWeatherServiceDisabled = 436,
    ErrorMailboxScopeNotAllowedWithoutQueryString = 437,
    ErrorNoSpeechDetected = 438,
    ErrorPromptPublishingOperationFailed = 439,
    ErrorPublicFolderMailboxDiscoveryFailed = 440,
    ErrorPublicFolderOperationFailed = 441,
    ErrorPublicFolderSyncException = 442,
    ErrorRecipientNotFound = 443,
    ErrorRecognizerNotInstalled = 444,
    ErrorSpeechGrammarError = 445,
    ErrorTooManyObjectsOpened = 446,
    ErrorUMServerUnavailable = 447,
    ErrorUnifiedMessagingPromptNotFound = 448,
    ErrorUnifiedMessagingReportDataNotFound = 449,
    ErrorInvalidPhotoSize = 450,
    ErrorCalendarIsGroupMailboxForAccept = 451,
    ErrorCalendarIsGroupMailboxForDecline = 452,
    ErrorCalendarIsGroupMailboxForTentative = 453,
    ErrorCalendarIsGroupMailboxForSuppressReadReceipt = 454,
}
