import { MailboxQuery } from "./MailboxQuery";
import { SearchResultType } from "../Enumerations/SearchResultType";
import { KeywordStatisticsSearchResult } from "./KeywordStatisticsSearchResult";
import { SearchPreviewItem } from "./SearchPreviewItem";
import { FailedSearchMailbox } from "./FailedSearchMailbox";
import { SearchRefinerItem } from "./SearchRefinerItem";
import { MailboxStatisticsItem } from "./MailboxStatisticsItem";
import { EwsServiceXmlReader } from "../Core/EwsServiceXmlReader";
import { ExtendedPropertyCollection } from "../ComplexProperties/ExtendedPropertyCollection";
import { JsonObject } from "../Core/JsonObject";
export declare class SearchMailboxesResult {
    SearchQueries: MailboxQuery[];
    ResultType: SearchResultType;
    ItemCount: number;
    Size: number;
    PageItemCount: number;
    PageItemSize: number;
    KeywordStats: KeywordStatisticsSearchResult[];
    PreviewItems: SearchPreviewItem[];
    FailedMailboxes: FailedSearchMailbox[];
    Refiners: SearchRefinerItem[];
    MailboxStats: MailboxStatisticsItem[];
    GetRecipients(reader: EwsServiceXmlReader, elementName: string): string[];
    LoadExtendedPropertiesXml(reader: EwsServiceXmlReader): ExtendedPropertyCollection;
    LoadFromJson(jsonObject: JsonObject): SearchMailboxesResult;
    LoadFromXml(reader: EwsServiceXmlReader): SearchMailboxesResult;
    LoadKeywordStatsXml(reader: EwsServiceXmlReader): KeywordStatisticsSearchResult[];
    LoadPreviewItemsXml(reader: EwsServiceXmlReader): SearchPreviewItem[];
}
