import { FreeBusyViewType } from "../../Enumerations/FreeBusyViewType";
import { SuggestionQuality } from "../../Enumerations/SuggestionQuality";
import { TimeWindow } from "./TimeWindow";
import { EwsServiceXmlWriter } from "../../Core/EwsServiceXmlWriter";
import { DateTime, TimeSpan } from "../../DateTime";
import { GetUserAvailabilityRequest } from "../../Core/Requests/GetUserAvailabilityRequest";
export declare class AvailabilityOptions {
    private mergedFreeBusyInterval;
    private requestedFreeBusyView;
    private goodSuggestionThreshold;
    private maximumSuggestionsPerDay;
    private maximumNonWorkHoursSuggestionsPerDay;
    private meetingDuration;
    private minimumSuggestionQuality;
    private detailedSuggestionsWindow;
    private currentMeetingTime;
    private globalObjectId;
    MergedFreeBusyInterval: number;
    RequestedFreeBusyView: FreeBusyViewType;
    GoodSuggestionThreshold: number;
    MaximumSuggestionsPerDay: number;
    MaximumNonWorkHoursSuggestionsPerDay: number;
    MeetingDuration: number;
    MinimumSuggestionQuality: SuggestionQuality;
    DetailedSuggestionsWindow: TimeWindow;
    CurrentMeetingTime: DateTime;
    GlobalObjectId: string;
    Validate(timeWindow: TimeSpan): void;
    WriteToXml(writer: EwsServiceXmlWriter, request: GetUserAvailabilityRequest): void;
}
