import { ItemId } from "../ComplexProperties/ItemId";
import { UserConfigurationProperties } from "../Enumerations/UserConfigurationProperties";
import { FolderId } from "../ComplexProperties/FolderId";
import { UserConfigurationDictionary } from "../ComplexProperties/UserConfigurationDictionary";
import { ExchangeService } from "../Core/ExchangeService";
import { JsonObject } from "../Core/JsonObject";
import { EwsServiceXmlReader } from "../Core/EwsServiceXmlReader";
import { WellKnownFolderName } from "../Enumerations/WellKnownFolderName";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
import { XmlNamespace } from "../Enumerations/XmlNamespace";
export declare class UserConfiguration {
    private static ObjectVersion;
    private static PropertiesAvailableForNewObject;
    private static NoProperties;
    Name: string;
    ParentFolderId: FolderId;
    ItemId: ItemId;
    Dictionary: UserConfigurationDictionary;
    XmlData: any[];
    BinaryData: any[];
    IsDirty: boolean;
    private service;
    private name;
    private parentFolderId;
    private itemId;
    private dictionary;
    private xmlData;
    private binaryData;
    private propertiesAvailableForAccess;
    private updatedProperties;
    private isNew;
    Bind(service: ExchangeService, name: string, parentFolderId: FolderId, properties: UserConfigurationProperties): UserConfiguration;
    Delete(): any;
    GetBase64PropertyValue(bytes: any[]): string;
    GetJsonUserConfigName(service: ExchangeService): JsonObject;
    InitializeProperties(requestedProperties: UserConfigurationProperties): any;
    IsPropertyUpdated(property: UserConfigurationProperties): boolean;
    Load(properties: UserConfigurationProperties): any;
    LoadFromJson(responseObject: JsonObject, service: ExchangeService): any;
    LoadFromXml(reader: EwsServiceXmlReader): any;
    MarkPropertyForUpdate(property: UserConfigurationProperties): any;
    ResetIsDirty(): any;
    Save(name: string, parentFolderName: WellKnownFolderName): any;
    Update(): any;
    ValidatePropertyAccess(property: UserConfigurationProperties): any;
    WriteBinaryDataToXml(writer: EwsServiceXmlWriter): any;
    WriteByteArrayToXml(writer: EwsServiceXmlWriter, byteArray: any[], xmlElementName: string): any;
    WriteToXml(writer: EwsServiceXmlWriter, xmlNamespace: XmlNamespace, xmlElementName: string): any;
    WriteUserConfigurationNameToXml(writer: EwsServiceXmlWriter, xmlNamespace: XmlNamespace, name: string, parentFolderId: FolderId): any;
    WriteXmlDataToXml(writer: EwsServiceXmlWriter): any;
}
