import { ViewBase } from "./ViewBase";
import { ItemTraversal } from "../Enumerations/ItemTraversal";
import { JsonObject } from "../Core/JsonObject";
import { ExchangeService } from "../Core/ExchangeService";
import { ServiceObjectType } from "../Enumerations/ServiceObjectType";
import { ServiceRequestBase } from "../Core/Requests/ServiceRequestBase";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
import { Grouping } from "./Grouping";
export declare class CalendarView extends ViewBase {
    StartDate: Date;
    EndDate: Date;
    MaxItemsReturned: number;
    Traversal: ItemTraversal;
    private traversal;
    private maxItemsReturned;
    private startDate;
    private endDate;
    AddJsonProperties(jsonRequest: JsonObject, service: ExchangeService): void;
    GetMaxEntriesReturned(): number;
    GetServiceObjectType(): ServiceObjectType;
    GetViewJsonTypeName(): string;
    GetViewXmlElementName(): string;
    InternalValidate(request: ServiceRequestBase): void;
    InternalWritePagingToJson(jsonView: JsonObject, service: ExchangeService): void;
    InternalWriteSearchSettingsToXml(writer: EwsServiceXmlWriter, groupBy: Grouping): void;
    InternalWriteViewToXml(writer: EwsServiceXmlWriter): void;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
    WriteGroupingToJson(service: ExchangeService, groupBy: Grouping): any;
    WriteOrderByToXml(writer: EwsServiceXmlWriter): void;
}
