import { SearchFilter } from "./Filters/SearchFilter";
import { ViewBase } from "./ViewBase";
import { OffsetBasePoint } from "../Enumerations/OffsetBasePoint";
import { ItemTraversal } from "../Enumerations/ItemTraversal";
import { OrderByCollection } from "./OrderByCollection";
import { ServiceObjectType } from "../Enumerations/ServiceObjectType";
import { JsonObject } from "../Core/JsonObject";
import { ExchangeService } from "../Core/ExchangeService";
import { ServiceRequestBase } from "../Core/Requests/ServiceRequestBase";
import { EwsServiceXmlWriter } from "../Core/EwsServiceXmlWriter";
import { Grouping } from "./Grouping";
export declare class SeekToConditionItemView extends ViewBase {
    PageSize: number;
    OffsetBasePoint: OffsetBasePoint;
    Condition: SearchFilter;
    Traversal: ItemTraversal;
    OrderBy: OrderByCollection;
    private pageSize;
    private traversal;
    private condition;
    private offsetBasePoint;
    private orderBy;
    private serviceObjType;
    AddJsonProperties(jsonRequest: JsonObject, service: ExchangeService): void;
    GetMaxEntriesReturned(): number;
    GetServiceObjectType(): ServiceObjectType;
    GetViewJsonTypeName(): string;
    GetViewXmlElementName(): string;
    InternalValidate(request: ServiceRequestBase): void;
    InternalWritePagingToJson(jsonView: JsonObject, service: ExchangeService): void;
    InternalWriteSearchSettingsToXml(writer: EwsServiceXmlWriter, groupBy: Grouping): void;
    InternalWriteViewToXml(writer: EwsServiceXmlWriter): void;
    SetServiceObjectType(objType: ServiceObjectType): void;
    WriteAttributesToXml(writer: EwsServiceXmlWriter): void;
    WriteGroupingToJson(service: ExchangeService, groupBy: Grouping): any;
    WriteOrderByToXml(writer: EwsServiceXmlWriter): void;
    WriteToXml(writer: EwsServiceXmlWriter, groupBy: Grouping): void;
}
